<?php
$data = strftime('%d de %B de %Y', strtotime('today'));
$data = utf8_encode($data);

if($situacao=='0')
{
    $mensagem = 'Transação Pendente';
}
elseif ($situacao=='1')
{
    $mensagem = 'Transação em andamento';
}
elseif ($situacao=='3')
{
    $mensagem = 'Transação Paga';
}
elseif ($situacao=='4')
{
    $mensagem = 'Transação Concluida';
}
?>

<!-- Global site tag (gtag.js) - Google AdWords: 1036809317 -->
<script async src="https://www.googletagmanager.com/gtag/js?id=AW-1036809317"></script>
<script>
  window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', 'AW-1036809317');

</script>

<script>
ga('create', 'UA-62601651-1', 'auto');


var dataLayer = window.dataLayer || [];

dataLayer.push({

   'event':'orderPlaced',
   'transactionId':"<?php echo $transactionId;?>",
   'transactionTotal':"<?php echo $transactionTotal;?>",
   'transactionProducts':[{
           'sku': "<?php echo $sku;?>",
           'name': "<?php echo $name;?>",
           'category' : 'Compra por Boleto',
           'quantity': "<?php echo $quantity;?>",
           'transactionTotal': "<?php echo $transactionTotal;?>"
   }]
});
ga('ecommerce:send');
</script>
<!-- Event snippet for Cadastros Imazon Cursos conversion page -->
<script>
    gtag('event', 'conversion', {'send_to': 'AW-1036809317/GkVxCPqM_4ABEOXose4D'});
</script>

<div class="container-fluid">
    <div class="row well">
        <!--<div class="col-md-4 left">
            <div class="info-box">
                <div class="entry">
                    <i class="fa fa-money" aria-hidden="true"></i>
                    <p>Valor:</br><span>R$ <?php echo str_replace('.', ',', $total); ?></span></p>
                </div>
                <div class="entry">
                    <i class="fa fa-calendar" aria-hidden="true"></i>
                    <p>Data da Compra:</br><span> <?php echo $data; ?></span></p>
                </div>
                <div class="entry">
                    <i class="fa fa-star" aria-hidden="true"></i>
                    <p>Status da Transação:</br><span><?php echo $mensagem; ?></span></p>
                </div>
                <div class="entry">
                    <i class="fa fa-flag" aria-hidden="true"></i>
                    <p>Transação :</br><span><?php echo $transacao; ?></span></p>
                </div>
                <div class="entry">
                    <a class="btn btn-primary" href="<?php echo base_url(); ?>cursos_matriculados"><i class="fa fa-graduation-cap" aria-hidden="true"></i> Visualizar Cursos Matriculados</a>
                    <p></p>
                </div>
            </div>
        </div>-->
        <div></div>
        <div class="col-md-12" align="center">
            <div class="content9">
                <div class="header">
                        <!--<img src="https://www.paypalobjects.com/webstatic/mktg/Logo/pp-logo-200px.png">-->
                    <h3>Boleto Bancário.</h3>
                </div>
                <div class="main">
                    <h3>Instruções para o pagamento do boleto:</h3><h4> Dirija-se até uma agência bancária, lotérica ou Internet Banking com o Boleto em mãos e efetue o pagamento.</h4>
                    <h5>Total: R$ <?php echo str_replace('.', ',', $total); ?></h5>
                </div>
                <div class="message">
                    <div id="btnBoleto" class="col offset-md-5">
                        <a id="urlBoleto" target="_blank" href="<?php echo $url; ?>">
                            <button type="button" class="btn btn-success finalizar mais-carga-horaria"><i class="fa fa-file-pdf-o"></i> Gerar Boleto em PDF</button>
                        </a>
                    </div>

                    <div class="row">

                        <div class="col-md-6">
                            <div class="feedback-mail"></div>
                        <br>
                        <div id="boletoMail" class="col">
                            <label for="ov_bolEmail">Deseja receber o Boleto por Email?</label>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id="basic-addon3"><span class="fa fa-envelope"></span></span>
                                </div>
                                <input id="ov_bolInpEmail" type="text" class="form-control is-invalid" aria-describedby="basic-addon3" autocomplete="off" placeholder="nome@email.com">
                                <button type="button" id="ov_bolEmail" class="btn btn-success mais-carga-horaria" disabled=""  value="<?php echo $linha;?>">Enviar <i class="fa fa-paper-plane"></i></button>
                            </div>
                        </div>

                        </div>
                        <div class="col-md-6">
                            <div class="feedback-sms"></div>
                        <br>
                        <div id="boletoSms" class="col">
                            <label for="ov_bolNumSms">Deseja receber o Boleto por SMS?</label>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id="basic-addon3"><span class="fa fa-mobile"></span></span>
                                </div>
                                <input id="ov_bolNumSms" type="tel" class="form-control is-invalid" aria-describedby="basic-addon3" autocomplete="off"  onkeyup="mascaraTel(this)" maxlength="14" placeholder="(00) 000000000">
                                <button type="button" id="ov_bolSms" class="btn btn-success mais-carga-horaria" disabled="" value="<?php echo $linha;?>">Enviar <i class="fa fa-paper-plane"></i></button>
                            </div>
                        </div>

                        </div>

                    </div>
                    <br>
<!--                    <div class="card border-secondary mb-5">
                        <div class="card-body text-secondary">
                            <div id="boleto" class="card-title"></div>
                            <div class="card-text">

                                <div class="row">
                                    <div class="col-sm-9">
                                        <input id="codBoleto" value="<?php echo $linha;?>" hidden="">
                                        <div id="linhaBoleto">
                                            <strong class="text-dark"><b id="cod_linha"><?php echo $linha;?></b></strong>
                                        </div>
                                    </div><br>
                                    <div id="btnCopiar" class="col-sm-3">
                                        <button id="btnCopiarCopy" type="button" value="<?php echo $linha;?>" onclick="copy_codigo('<?php echo $linha;?>')" class="btn btn-success mais-carga-horaria">Copiar código</button>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>-->

                </div>
<!--                <div class="footerp">
													<a target="_blank" href="<?php echo base_url(); ?>suporte">Informações em:  www.imazoncursos.com.br/suporte</a>
												</div>-->
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function(){
    $('.conteudo-pagina').removeClass('conteudo-pagina').addClass('conteudo-pagina22');
});
</script>
<script>

    function mascaraTel(text) {
        var mask = '(00) 000000000';
        var value = text.value;
        var literalPattern = /[0\*]/;
        var numberPattern = /[0-9]/;
        var newValue = "";
        for (var vId = 0, mId = 0; mId < mask.length; ) {
            if (mId >= value.length)
                break;
            if (mask[mId] === '0' && value[vId].match(numberPattern) === null) {
                break;
            }
            while (mask[mId].match(literalPattern) === null) {
                if (value[vId] === mask[mId])
                    break;
                newValue += mask[mId++];
            }
            newValue += value[vId++];
            mId++;
        }
        text.value = newValue;
    }



    function copy_codigo(text) {

        var inp =document.createElement('input');
        document.body.appendChild(inp)
        inp.value =text.textContent
        inp.select();
        document.execCommand('copy',false);
        inp.remove();

    }
</script>

<script>

var base_url = "<?php echo base_url(); ?>";

$('#ov_bolInpEmail').on('keyup touchend', function(){

                    if ($(this).val()=='') {
                        $('#ov_bolEmail').prop('disabled', true);
                    } else {
                        $('#ov_bolEmail').prop('disabled', false);
                    }
});

$('#ov_bolNumSms').on('keyup touchend', function(){

                    if ($(this).val()=='') {
                        $('#ov_bolSms').prop('disabled', true);
                    } else {
                        $('#ov_bolSms').prop('disabled', false);
                    }
});


$("#ov_bolSms").click( function(){

    var numero = $("#ov_bolNumSms").val();
    var somente_numero= numero.replace(/[\[\].!'@,><|://\\;&*()_+=]/g, "");

    var numero_somente= somente_numero.replace(/ /g,'');

    var linha = $(this).val();
    var valor = "<?php echo $valor; ?>";

    $.ajax({
        method: "POST",
        url: base_url+"Site/send_sms_pagamento",
        data: { linha: linha, valor:valor, numero_somente:numero_somente },
        dataType:"json",
        beforeSend: function( xhr ) {
                $("#ov_bolSms").text("Enviando SMS...");
              },
        success: function(response) {

                if( (response.status==200) || (response.status==201) || (response.status==202) )
                {
                    $(".feedback-sms").show();
                    $(".feedback-sms").html("<br><div  class='alert alert-success mais-carga-horaria'>Mensagem enviada com Sucesso!</div>");
                    setTimeout(function(){ $(function(){  $(".feedback-sms").hide("slow"); }); }, 4000);
                    $("#ov_bolSms").remove();
                    $('#ov_bolNumSms').prop('disabled', true);
                    $("#ov_bolSms").remove();
                }
                else
                {
                    $(".feedback-sms").show();
                    $(".feedback-sms").html("<br><div  class='alert alert-danger mais-carga-horaria'>Problema encontrado, aguarde e tente novamente</div>");
                    setTimeout(function(){ $(function(){  $(".feedback-sms").hide("slow"); }); }, 4000);
                    //$("#ov_bolSms").show();
                    $("#ov_bolSms").text("Enviar Novamente");
                }
                //console.log(response);
            }
            ,
            error: function (request, status, error) {
                //alert(request.responseText);
                    $(".feedback-sms").show();
                    $(".feedback-sms").html("<br><div  class='alert alert-danger mais-carga-horaria'>Falha encontrada ao enviar</div>");
                    setTimeout(function(){ $(function(){  $(".feedback-sms").hide("slow"); }); }, 4000);
                    //$("#ov_bolSms").show();
                    $("#ov_bolSms").text("Enviar Novamente");
            }
        });

} );

$("#ov_bolEmail").click( function(){

    var linha = $(this).val();
    //var valor = "<?php echo $valor; ?>";
    var email = $("#ov_bolInpEmail").val();
    var url = $("#urlBoleto").attr("href");
    var transacao = "<?php echo $transacao;?>";
    var total = "<?php echo $total; ?>";
    var descricao = "<?php echo $descricao; ?>";
    var nome_cliente = "<?php echo $this->session->userdata('imazon_nome'); ?>";


    var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;

    if (!re.test(email))
    {
         //alert('FAlse!');
         $(".feedback-mail").show();
         $(".feedback-mail").html("<br><div  class='alert alert-danger mais-carga-horaria'>E-mail Inválido. Tente novamente</div>");
         setTimeout(function(){ $(function(){  $(".feedback-mail").hide("slow"); }); }, 2000);
    }
    else{



    function complete()
    {
//        $('#ov_bolInpEmail').prop('disabled', true);
//        $("#ov_bolEmail").remove();
        $(".feedback-mail").show();
                    $(".feedback-mail").html("<br><div  class='alert alert-success mais-carga-horaria'>Código enviado por E-mail.</div>");
                    setTimeout(function(){ $(function(){  $(".feedback-mail").hide("slow"); }); }, 4000);

                     $('#ov_bolInpEmail').prop('disabled', true);
                     $("#ov_bolEmail").remove();

    }

    $.ajax({
            method: "POST",
            url: base_url+"Site/send_email_pagamento",
            data: { linha: linha, total:total, email:email, url:url, transacao:transacao, descricao:descricao, nome_cliente:nome_cliente },
            dataType:"json",
            beforeSend: function( xhr ) {
                $("#ov_bolEmail").text("Enviando E-mail...");
              },
            success: function(response) {

                if(response.status==1)
                {
                    $(".feedback-mail").show();
                    $(".feedback-mail").html("<br><div  class='alert alert-success mais-carga-horaria'>Código enviado por E-mail.</div>");
                    setTimeout(function(){ $(function(){  $(".feedback-mail").hide("slow"); }); }, 4000);

                     $('#ov_bolInpEmail').prop('disabled', true);
                     $("#ov_bolEmail").remove();
                }
                else if(response.status==0)
                {
                    $(".feedback-mail").show();
                    $(".feedback-mail").html("<br><div  class='alert alert-danger mais-carga-horaria'>Falha ao Enviar o código por E-mail. Aguarde um pouco e tente mais tarde</div>");
                    setTimeout(function(){ $(function(){  $(".feedback-mail").hide("slow"); }); }, 6000);
                    $("#ov_bolEmail").text("Enviar Novamente");
                }

                console.log(response);
             },
            error: function (request, status, error) {
                //alert(request.responseText);

                    $(".feedback-mail").show();
                    $(".feedback-mail").html("<br><div  class='alert alert-danger mais-carga-horaria'>Falha ao Enviar o código por E-mail. Ocorreu um erro, tente mais tarde</div>");
                    setTimeout(function(){ $(function(){  $(".feedback-mail").hide("slow"); }); }, 6000);
                    $("#ov_bolEmail").text("Enviar Novamente...");
            },
             complete: function(response) {

                if(response.status)
                {
                    //complete();
                }
             }
            });

    }


} );

</script>
